## org.gnu.pango
Class FontFace

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.pango.FontFace

public class FontFace
extends GObject

The PangoFontFace structure is used to represent a group of fonts with the same family, slant, weight, width, but varying sizes.

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Method Summary
`FontDescription` `describe()` Returns the family, style, variant, weight and stretch of a PangoFontFace.
`protected static Handle` `pango_font_face_describe(Handle face)`
`protected static java.lang.String` `pango_font_face_get_face_name(Handle face)`
`protected static int` `pango_font_face_get_type()`
`java.lang.String` `toString()` Gets a name representing the style of this face among the different faces in the PangoFontFamily for the face.

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### toString

    public java.lang.String toString()

  Gets a name representing the style of this face among the different faces in the PangoFontFamily for the face. This name is unique among all faces in the family and is suitable for displaying to users.

### describe

    public FontDescription describe()

  Returns the family, style, variant, weight and stretch of a PangoFontFace. The size field of the resulting font description will be unset.

### pango_font_face_get_type

    protected static final int pango_font_face_get_type()

### pango_font_face_describe

    protected static final Handle pango_font_face_describe(Handle face)

### pango_font_face_get_face_name

    protected static final java.lang.String pango_font_face_get_face_name(Handle face)